<h1>
    <img src="https://github.com/2003100127/tmkit/blob/main/docs/source/img/tmkit_logo.png?raw=true" width="260" height="80">
    <br>
</h1>

![](https://img.shields.io/pypi/v/tmkit?logo=PyPI)
![Test](https://github.com/2003100127/tmkit/actions/workflows/test.yml/badge.svg)
![](https://img.shields.io/badge/last_released-Jul14._2023-green.svg)
![](https://img.shields.io/badge/tmkit-executable-519dd9.svg)
![Coverage Report](assets/images/coverage.svg)
[![Dependencies Status](https://img.shields.io/badge/dependencies-up%20to%20date-brightgreen.svg)](https://github.com/2003100127/tmkit/pulls?utf8=%E2%9C%93&q=is%3Apr%20author%3Aapp%2Fdependabot)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
[![Security: bandit](https://img.shields.io/badge/security-bandit-green.svg)](https://github.com/PyCQA/bandit)
[![Anaconda](https://github.com/2003100127/tmkit/actions/workflows/conda.yml/badge.svg)](https://github.com/2003100127/tmkit/actions/workflows/conda.yml)
[![run with docker](https://img.shields.io/badge/run%20with-Docker-0db7ed?logo=docker)](https://www.docker.com/2003100127/tmkit)
[![Downloads](https://pepy.tech/badge/tmkitx)](https://pepy.tech/project/tmkitx)

<!-- ![Build](https://github.com/2003100127/tmkit/actions/workflows/build.yml/badge.svg) -->



## Overview

TMKit is a scalable Python programming interface holding a bundle of function modules to allow a variety of transmembrane protein studies.



## Documentation

Website: https://tmkit-guide.herokuapp.com/doc/overview

Source: https://github.com/2003100127/tmkit-guide

We also provided a jupyter notebook (`examples.ipynb`) to demonstrate the usage of TMKit.



## Installation

We recommend using pip to install TMKit.

```sh
# create a conda environment
conda create --name tmkit python=3.11

# activate the conda environment
conda activate tmkit

# a stable version 0.0.2 and 0.0.3 (recommended)
pip install tmkit==0.0.3
```

For more ways to install TMKit, please refer to [here](https://tmkit-guide.herokuapp.com/doc/overview).



## **Citation**

Jianfeng Sun, Arulsamy Kulandaisamy, Jinlong Ru, M Michael Gromiha, Adam P Cribbs, TMKit: a Python interface for computational analysis of transmembrane proteins, Briefings in Bioinformatics, Volume 24, Issue 5, September 2023, bbad288, https://doi.org/10.1093/bib/bbad288

```shell
@article{10.1093/bib/bbad288,
    author = {Sun, Jianfeng and Kulandaisamy, Arulsamy and Ru, Jinlong and Gromiha, M Michael and Cribbs, Adam P},
    title = {TMKit: a Python interface for computational analysis of transmembrane proteins},
    journal = {Briefings in Bioinformatics},
    volume = {24},
    number = {5},
    pages = {bbad288},
    year = {2023},
    month = {08},
    issn = {1477-4054},
    doi = {10.1093/bib/bbad288},
    url = {https://doi.org/10.1093/bib/bbad288},
    eprint = {https://academic.oup.com/bib/article-pdf/24/5/bbad288/51711304/bbad288.pdf},
}
```



## **Contact**

Jianfeng Sun: jianfeng.sunmt@gmail.com | jianfeng.sun@ndorms.ox.ac.uk
